-- ----------------------------
-- Table structure for SIMULATE_USER_LOG
-- ----------------------------
DROP TABLE "SIMULATE_USER_LOG";
DROP SEQUENCE "S_SIMULATE_USER_LOG_ID";
CREATE SEQUENCE "S_SIMULATE_USER_LOG_ID"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE ;

CREATE TABLE "SIMULATE_USER_LOG" 
   (	"ID" NUMBER DEFAULT "S_SIMULATE_USER_LOG_ID"."NEXTVAL" NOT NULL, 
	"LOGIN_ACCOUNT" VARCHAR2(50 BYTE) NOT NULL, 
	"LOGIN_TOKEN" VARCHAR2(100 BYTE) NOT NULL, 
	"APPLY_DATE" DATE NOT NULL,
	"USERNAME" VARCHAR2(50 BYTE) NOT NULL,
    "POLICY_CODE" VARCHAR2(20 BYTE),
    "BUSI_TYPE" NUMBER,	
	 CONSTRAINT "SIMULATE_USER_LOG_PK" PRIMARY KEY ("ID"));

COMMENT ON COLUMN "SIMULATE_USER_LOG"."ID" IS '流水號';
COMMENT ON COLUMN "SIMULATE_USER_LOG"."USERNAME" IS '身分證字號';
COMMENT ON COLUMN "SIMULATE_USER_LOG"."LOGIN_ACCOUNT" IS '登入人員帳號';
COMMENT ON COLUMN "SIMULATE_USER_LOG"."LOGIN_TOKEN" IS 'LOGIN TOKEN';
COMMENT ON COLUMN "SIMULATE_USER_LOG"."APPLY_DATE" IS '申請日期';
COMMENT ON COLUMN "SIMULATE_USER_LOG"."POLICY_CODE" IS '保單號碼';
COMMENT ON COLUMN "SIMULATE_USER_LOG"."BUSI_TYPE" IS '保單類型代碼';
CREATE INDEX "SIMULATE_USER_LOG_IDX" ON "SIMULATE_USER_LOG" ("LOGIN_ACCOUNT", "LOGIN_TOKEN");

-- ----------------------------
-- Table structure for TM_REPORT_CONFIG
-- ----------------------------
DROP TABLE "TM_REPORT_CONFIG";
DROP SEQUENCE "S_TM_REPORT_CONFIG_ID";
CREATE SEQUENCE "S_TM_REPORT_CONFIG_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE TM_REPORT_CONFIG
   (	
    "ID" NUMBER(19,0) VISIBLE DEFAULT "S_TM_REPORT_CONFIG_ID"."NEXTVAL" NOT NULL, 
	"REPORT_NAME" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
	"SORT" NUMBER NOT NULL ENABLE, 
	"COLUMN_NAME" VARCHAR2(90 BYTE) NOT NULL ENABLE, 
	"COLUMN_DESC" VARCHAR2(120 BYTE) NOT NULL ENABLE,
	"CREATE_DATE" DATE NOT NULL ENABLE);

-- ----------------------------
-- Primary Key structure for table TM_REPORT_CONFIG
-- ----------------------------
ALTER TABLE "TM_REPORT_CONFIG" ADD CONSTRAINT "TM_REPORT_CONFIG_PK" PRIMARY KEY ("ID");
	 
COMMENT ON COLUMN "TM_REPORT_CONFIG"."ID" IS '流水號';
COMMENT ON COLUMN "TM_REPORT_CONFIG"."REPORT_NAME" IS '報表名稱';
COMMENT ON COLUMN "TM_REPORT_CONFIG"."SORT" IS '欄位順序';
COMMENT ON COLUMN "TM_REPORT_CONFIG"."COLUMN_NAME" IS '欄位名稱';
COMMENT ON COLUMN "TM_REPORT_CONFIG"."COLUMN_DESC" IS '欄位說明';
COMMENT ON COLUMN "TM_REPORT_CONFIG"."CREATE_DATE" IS '建立日期';
COMMENT ON TABLE "TM_REPORT_CONFIG" IS '報表設定檔';

-- ----------------------------
-- Table structure for TM_PLEASE_NOTE
-- ----------------------------
DROP TABLE "TM_PLEASE_NOTE";
DROP SEQUENCE "S_TM_PLEASE_NOTE_ID";
CREATE SEQUENCE "S_TM_PLEASE_NOTE_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE TM_PLEASE_NOTE
   (	
    "ID" NUMBER(19,0) VISIBLE DEFAULT "S_TM_PLEASE_NOTE_ID"."NEXTVAL" NOT NULL, 
	"NOTICE_ACTION" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
	"SORT" NUMBER NOT NULL ENABLE, 
	"CONTENT" CLOB NOT NULL ENABLE,
	"CREATE_DATE" DATE NOT NULL ENABLE);

-- ----------------------------
-- Primary Key structure for table TM_PLEASE_NOTE
-- ----------------------------
ALTER TABLE "TM_PLEASE_NOTE" ADD CONSTRAINT "TM_PLEASE_NOTE_PK" PRIMARY KEY ("ID");

COMMENT ON COLUMN "TM_PLEASE_NOTE"."ID" IS '流水號';
COMMENT ON COLUMN "TM_PLEASE_NOTE"."NOTICE_ACTION" IS '功能';
COMMENT ON COLUMN "TM_PLEASE_NOTE"."SORT" IS '順序';
COMMENT ON COLUMN "TM_PLEASE_NOTE"."CONTENT" IS '內容';
COMMENT ON COLUMN "TM_PLEASE_NOTE"."CREATE_DATE" IS '建立日期';
COMMENT ON TABLE "TM_PLEASE_NOTE" IS '注意事項檔';
